> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guglielmine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Review feedback.

> Send a feedback to a review.



## OpenAPI

````yaml /openapi/openapi.json put /v2/investigations/{alert_id}/feedback
openapi: 3.1.0
info:
  title: Qevlar Investigation Platform API
  description: This API analyzes observables and provides investigation capabilities.
  version: 2.0.0
servers:
  - url: https://api.qevlar.com
security: []
paths:
  /v2/investigations/{alert_id}/feedback:
    put:
      tags:
        - v2
        - Investigation
      summary: Review feedback.
      description: Send a feedback to a review.
      operationId: _put_investigation_feedback_v2_investigations__alert_id__feedback_put
      parameters:
        - name: alert_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Alert Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostFeedbackRequest'
      responses:
        '200':
          description: Feedback as been saved.
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/FeedbackDTO'
                  - type: 'null'
                title: >-
                  Response  Put Investigation Feedback V2 Investigations  Alert
                  Id  Feedback Put
        '401':
          description: Missing, invalid or expired authentication token
        '404':
          description: >-
            Given alert id isn't associated with an investigation, or profile
            doesn't have access.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PostFeedbackRequest:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        outcome:
          $ref: '#/components/schemas/InvestigationOutcome'
      type: object
      required:
        - description
        - outcome
      title: PostFeedbackRequest
    FeedbackDTO:
      properties:
        outcome:
          $ref: '#/components/schemas/InvestigationOutcome'
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_by:
          anyOf:
            - $ref: '#/components/schemas/UserDTO'
            - $ref: '#/components/schemas/ProfileDTO'
          title: Created By
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - outcome
        - description
        - created_by
        - created_at
      title: FeedbackDTO
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvestigationOutcome:
      type: string
      enum:
        - INCONCLUSIVE
        - MALICIOUS
        - NOT_HARMFUL
      title: InvestigationOutcome
    UserDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        username:
          type: string
          title: Username
        role:
          $ref: '#/components/schemas/UserRole'
        email:
          type: string
          title: Email
      type: object
      required:
        - id
        - username
        - role
        - email
      title: UserDTO
    ProfileDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        username:
          type: string
          title: Username
      type: object
      required:
        - id
        - username
      title: ProfileDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserRole:
      type: string
      enum:
        - ADMIN
        - ANALYST
      title: UserRole
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````